Este contenido no está disponible en el idioma seleccionado.
10.2. Show Quickstart
Description
Get information about the specified quickstart. The client does not have to retrieve the quickstarts list and scan for a known ID.
Method and URL Structure
| Method | URL Structure |
|---|---|
GET | /api/v1/quickstarts/:id |
Request Parameters
| Name | Description | Required | Default |
|---|---|---|---|
id | Unique identifier of the quickstart | Yes |
cURL Command Example
$ curl -X GET https://www.openshift.com/api/v1/quickstarts/12724 --user user@example.com
JSON Response
The API returns information about the specified quickstart.
{
"data": [
{
"quickstart": {
"id": "12724",
"href": "https://www.openshift.com/quickstarts/wordpress-3x",
"name": "WordPress 3.x",
"updated": "1365011887",
"summary": "A semantic personal publishing platform written in PHP with a MySQL back end, focusing on aesthetics, web standards, and usability. Currently using version 3.5.1.\n\nThe first time you access the app you'll be asked to set a username and password and give your blog a name. Be sure to track security updates from upstream.",
"body": "<p>A semantic personal publishing platform written in PHP with a MySQL back end, focusing on aesthetics, web standards, and usability. Currently using version 3.5.1.</p>\n\n<p>The first time you access the app you'll be asked to set a username and password and give your blog a name. Be sure to track security updates from upstream.</p>",
"cartridges": "php-*, mysql-*",
"website": "http://wordpress.org",
"tags": "blog, cms, instant_app, not_scalable",
"language": "PHP",
"initial_git_url": "git://github.com/openshift/wordpress-example.git",
"provider": "openshift"
}
}
]
}